For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGets multiple product variants
      • POSTAdds new product variants to a product
      • PATCHUpdates multiple product variants
      • POSTCreate a new Channel Metadata Entry for a given Variant
      • GET Gets Product by Id
      • DELDeletes Bundle and removes associations to related products
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GET Gets Taxonomy by Id
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • GET Gets Taxonomy
      • POSTUsed to merge two or more variants together
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • POSTMigrates variants to existing product
      • GET Gets Taxonomy Parent
      • POSTMigrates existing variants to a new product
      • GETGets Packaging Requirement
      • POSTAdd new product variants to a product
LogoLogo
API ReferenceProducts

Migrates variants to existing product

||View as Markdown|
POST
https://sandbox-api.shipbob.com/Experimental/product/:productId:moveVariants
POST
/Experimental/product/:productId:moveVariants
$curl -X POST https://sandbox-api.shipbob.com/Experimental/product/1:moveVariants \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "category_id": 0,
> "name": "string",
> "product_id": 0,
> "sub_category_id": 0,
> "taxonomy_id": 0,
> "variants": [
> {
> "id": 0,
> "name": "string"
> }
> ]
>}'
1{
2 "category": {
3 "id": 0,
4 "name": "string"
5 },
6 "created_on": "2019-08-24T14:15:22+00:00",
7 "id": 0,
8 "name": "string",
9 "sub_category": {
10 "id": 0,
11 "name": "string"
12 },
13 "taxonomy": {
14 "id": 0,
15 "name": "string",
16 "parent_id": 0,
17 "parent_name": "string",
18 "path": "string"
19 },
20 "type": "string",
21 "updated_on": "2019-08-24T14:15:22+00:00",
22 "user_id": 0,
23 "variants": [
24 {
25 "additional_hazmat_attributes": {
26 "charge_state_percentage": 0.1,
27 "container_metal": true,
28 "lithium_battery_packaging": "string",
29 "lithium_battery_type": "string",
30 "magnet": true,
31 "net_volume": 0.1,
32 "net_weight": 0.1
33 },
34 "associated_bundles": [
35 {
36 "product_id": 0,
37 "product_name": "string",
38 "quantity": 0,
39 "variant_id": 0,
40 "variant_sku": "string"
41 }
42 ],
43 "barcode": "string",
44 "barcode_sticker_url": "string",
45 "bundle_definition": [
46 {
47 "product_id": 0,
48 "quantity": 0,
49 "variant_id": 0,
50 "variant_name": "string",
51 "variant_sku": "string"
52 }
53 ],
54 "channel_metadata": [
55 {
56 "channel_id": 0,
57 "channel_name": "string",
58 "currency": "string",
59 "id": 0,
60 "is_inventory_sync_enabled": true,
61 "legacy_product_id": 0,
62 "platform": "string",
63 "platform_identifier": "string",
64 "platform_inventory_item_id": "string",
65 "price": 0.1,
66 "seller_sku": "string"
67 }
68 ],
69 "created_on": "2019-08-24T14:15:22+00:00",
70 "customs": {
71 "country_code_of_origin": "string",
72 "currency": "string",
73 "description": "string",
74 "hs_tariff_code": "string",
75 "is321_eligible": true,
76 "value": 0
77 },
78 "dimension": {
79 "height": 0.1,
80 "is_locked": true,
81 "length": 0.1,
82 "source": "string",
83 "unit": "string",
84 "width": 0.1
85 },
86 "fulfillment_settings": {
87 "dangerous_goods": true,
88 "is_bpm_parcel": true,
89 "is_case_pick": true,
90 "msds_url": "string",
91 "requires_prop65": true,
92 "serial_scan": {
93 "exact_character_length": 0,
94 "is_enabled": true,
95 "prefix": "string",
96 "suffix": "string"
97 }
98 },
99 "gtin": "string",
100 "id": 0,
101 "inventory": {
102 "inventory_id": 0,
103 "on_hand_qty": 0
104 },
105 "is_digital": true,
106 "is_image_uploaded": true,
107 "lot_information": {
108 "is_lot": true,
109 "minimum_shelf_life_days": 0
110 },
111 "merge_children": [
112 {
113 "channel_ids": [
114 0
115 ],
116 "completed_at": "2019-08-24T14:15:22+00:00",
117 "inventory_id": 0,
118 "variant_id": 0,
119 "variant_name": "string"
120 }
121 ],
122 "name": "string",
123 "packaging_material_type": {
124 "id": 0,
125 "name": "string"
126 },
127 "packaging_requirement": {
128 "id": 0,
129 "name": "string"
130 },
131 "return_preferences": {
132 "backup_action": {
133 "id": 0,
134 "name": "string"
135 },
136 "instructions": "string",
137 "primary_action": {
138 "id": 0,
139 "name": "string"
140 },
141 "return_to_sender_backup_action": {
142 "id": 0,
143 "name": "string"
144 },
145 "return_to_sender_primary_action": {
146 "id": 0,
147 "name": "string"
148 }
149 },
150 "reviews_pending": [
151 "string"
152 ],
153 "sku": "string",
154 "status": "string",
155 "upc": "string",
156 "updated_on": "2019-08-24T14:15:22+00:00",
157 "weight": {
158 "unit": "string",
159 "weight": 0.1
160 }
161 }
162 ]
163}
Was this page helpful?
Previous

Used to delete a specific channel metadata record from a variant by channel metadata ID

Next

Gets Taxonomy Parent

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

productIdlongRequired

Request

Migration definition
category_idintegerOptional
namestringOptional
product_idlongOptional
sub_category_idintegerOptional
taxonomy_idintegerOptional
variantslist of objectsOptional

Response

Created
categoryobject
created_ondatetime
idlong
namestring
sub_categoryobject
taxonomyobject
typestring
updated_ondatetime
user_idlong
variantslist of objects

Errors

400
Bad Request Error
404
Not Found Error